Skip to content
Start here

Get Advertisement Status

Deprecated
client.addressing.prefixes.advertisementStatus.get(stringprefixID, AdvertisementStatusGetParams { account_id } params, RequestOptionsoptions?): AdvertisementStatusGetResponse { advertised, advertised_modified_at }
GET/accounts/{account_id}/addressing/prefixes/{prefix_id}/bgp/status

View the current advertisement state for a prefix.

Deprecated: Prefer the BGP Prefixes endpoints, which additionally allow for advertising and withdrawing subnets of an IP prefix.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic Transit ReadMagic Transit WriteIP Prefixes: WriteIP Prefixes: ReadIP Prefixes: BGP On Demand WriteIP Prefixes: BGP On Demand Read
ParametersExpand Collapse
prefixID: string

Identifier of an IP Prefix.

maxLength32
params: AdvertisementStatusGetParams { account_id }
account_id: string

Identifier of a Cloudflare account.

maxLength32
ReturnsExpand Collapse

Get Advertisement Status

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const advertisementStatus = await client.addressing.prefixes.advertisementStatus.get(
  '2af39739cc4e3b5910c918468bb89828',
  { account_id: '258def64c72dae45f3e4c8516e2111f2' },
);

console.log(advertisementStatus.advertised);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "advertised": true,
    "advertised_modified_at": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "advertised": true,
    "advertised_modified_at": "2014-01-01T05:20:00.12345Z"
  }
}